Subject: Re: [PATCH net 3/3] net: hns3: add VLAN id validation before using

From: Simon Horman <[email-masked]>
Date: Wed, 10 Dec 2025 12:55:09 +0000

On Wed, Dec 10, 2025 at 02:39:11PM +0800, Jijie Shao wrote:
> 
> on 2025/12/10 0:50, Simon Horman wrote:
> > On Tue, Dec 09, 2025 at 09:38:25PM +0800, Jijie Shao wrote:
> > > From: Jian Shen <[email-masked]>
> > > 
> > > Currently, the VLAN id may be used without validation when
> > > receive a VLAN configuration mailbox from VF. It may cause
> > > out-of-bounds memory access once the VLAN id is bigger than
> > > 4095.
> > > 
> > > Fixes: fe4144d47eef ("net: hns3: sync VLAN filter entries when kill VLAN ID failed")
> > > Signed-off-by: Jian Shen <[email-masked]>
> > > Signed-off-by: Jijie Shao <[email-masked]>
> > Hi Jijie,
> > 
> > Can you clarify that the (only) oob access is to vlan_del_fail_bmap?
> > 
> > If so, I agree with this change and that the problem was introduced in
> > the cited commit. But I think it would be worth mentioning vlan_del_fail_bmap
> > in the commit message.
> > 
> Yes, the length of vlan_del_fail_bmap is BITS_TO_LONGS(VLAN_N_VID).
> Therefore, vlan_id needs to be checked to ensure it is within the range of VLAN_N_VID.
> 
> I will add this in V2

Thanks.

Feel free to also add:

Reviewed-by: Simon Horman <[email-masked]>